AgentConnect
GitLab

Bind a GitLab.com project

Re-fetches the selected project, requires current Maintainer-or-Owner effective membership, acquires the deployment-global project claim, and creates the binding in the provisioning state (§10.1–§10.2).

POST
/v1/orgs/{orgId}/gitlab/projects

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/gitlab/projects" \  -H "Content-Type: application/json" \  -d '{    "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",    "projectId": "string"  }'
{  "id": "string",  "projectId": "string",  "projectPath": "string",  "defaultBranch": "string",  "state": "provisioning",  "stateReason": "string",  "installerConnectionId": "string",  "accounts": [    {      "agentId": "string",      "username": "string",      "displayName": "string",      "userId": "string",      "state": "provisioning",      "stateReason": "string"    }  ],  "webhookState": "not_needed",  "credentialEpoch": "string",  "createdAt": "string"}